package com.aaron.kakao.hospitalmapfortube.core

import android.arch.lifecycle.ViewModel
import io.reactivex.disposables.CompositeDisposable
import io.reactivex.disposables.Disposable

/**
 * Created by aaron on 2020-03-26
 */

open class BaseViewModel : ViewModel() {

//    var toolbarLeftFirstClick = { v: View -> Timber.i("${v.id}.toolbarLeftFirstClick!!!") }
//    var toolbarLeftSecondClick = { v: View -> Timber.i("${v.id}.toolbarLeftSecondClick!!!") }
//    var toolbarRightFirstClick = { v: View -> Timber.i("${v.id}.toolbarRightFirstClick!!!") }
//    val isProgressVisible = NotNullMutableLiveData(false)

    private val disposables: CompositeDisposable = CompositeDisposable()

    fun addToDisposable(disposable: Disposable) {
        disposables.add(disposable)
    }

    override fun onCleared() {
        disposables.clear()
        super.onCleared()
    }
}